Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 06 Jul 2009 10:54:41 +0100
From:      Matthew Seaman <m.seaman@infracaninophile.co.uk>
To:        manish jain <invalid.pointer@gmail.com>
Cc:        rsmith@xs4all.nl, "b. f." <bf1783@googlemail.com>, freebsd-questions@freebsd.org
Subject:   Re: Urgent help needed : portmaster dies on py-cairo
Message-ID:  <4A51C9E1.4060804@infracaninophile.co.uk>
In-Reply-To: <cb0fa7b70907060220g13c5614ag7e3116c2ad6112e4@mail.gmail.com>
References:  <d873d5be0907052046q7a2e48b6xf7d68b8c93c2f245@mail.gmail.com> <cb0fa7b70907060220g13c5614ag7e3116c2ad6112e4@mail.gmail.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
This is an OpenPGP/MIME signed message (RFC 2440 and 3156)
--------------enig9058920C18B941F4F2958827
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: quoted-printable

manish jain wrote:

> 1) How do I find or set  PYTHON_DEFAULT_VERSION ?

It's defined in /usr/ports/Mk/bsd.python.mk -- the default is 'python2.6'=

since 2009-06-08.  If you want to use a non-default value you can overrid=
e
the default by adding eg.:

PYTHON_DEFAULT_VERSION=3D	python2.5

to /etc/make.conf.  You can see what actual value value is used by issuin=
g
the following command in any port that uses python:

happy-idiot-talk:...ports/graphics/py-cairo:% make -V PYTHON_DEFAULT_VERS=
ION
python2.6

Note that 'PYTHON_DEFAULT_VERSION' is the python version any add-on modul=
es
will be compiled against.  The similar 'PYTHON_VERSION' variable indicate=
s
which version of python you'ld get by running the command 'python'.  Plea=
se
read the descriptions at the top of bsd.python.mk for more detail.

> 2) What workaround would be needed in make.conf to get 2.5-hardwired po=
rts
> to use 2.6 instead ?

You can't do it that way.  Previously installed ports have to be modified=
 to
use py26, as described in the 20090608 entry in /usr/ports/UPDATING:

  Once the installed Python has been updated to 2.6, by using the
  method above, it is required to run the upgrade-site-packages target in=

  lang/python to assure that site-packages are made available to the new
  Python version.

  If using portupgrade:
  # cd /usr/ports/lang/python && make upgrade-site-packages

  If using portmaster:
  # cd /usr/ports/lang/python && make upgrade-site-packages -DUSE_PORTMAS=
TER

  The portmaster case can take quite some time to complete due to the lac=
k of
  cached information that the portupgrade suite uses (specifically pkg_wh=
ich).
  This is not the fault of portmaster.

	Cheers,

	Matthew


--=20
Dr Matthew J Seaman MA, D.Phil.                   7 Priory Courtyard
                                                  Flat 3
PGP: http://www.infracaninophile.co.uk/pgpkey     Ramsgate
                                                  Kent, CT11 9PW


--------------enig9058920C18B941F4F2958827
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.12 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEAREIAAYFAkpRyecACgkQ8Mjk52CukIz+1wCfXQHHh2oYD2+rRPlQ7Gsufl3f
tXkAnjVjlP/7O+ns7J8AomabSJCpN/7c
=aw5C
-----END PGP SIGNATURE-----

--------------enig9058920C18B941F4F2958827--



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?4A51C9E1.4060804>